<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jeeplus.modules.sg.overheadline.mapper.SettlementMapper">
	<insert id="sava" parameterType="com.jeeplus.modules.sg.overheadline.entity.Settlement">
		insert into sg_sett_count
				( id,
				 sett_name,
				 sett_money,
				 sett_remarks,
				 sett_status,
				 sett_reason
				) values (
				 #{id},
				 #{entryName},
				 #{money},
				 #{remarks},
				 #{status},
				 #{reason}
				)
	</insert>

	<select id="selectSettlement" parameterType="String" resultType="com.jeeplus.modules.sg.overheadline.entity.Settlement">
		  select
		  id as id,
		  sett_name as entryName,
		  sett_money as money,
		  sett_remarks as remarks,
		  sett_status as status,
		  sett_reason as reason
		  from
		  sg_sett_count
		  where id=#{id}
	</select>
</mapper>